﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.MaAdmission>
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
    string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
}
@{int i = 0;
  int count = 0;
  string bgcolor = "oddrow";
  
}
  @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td align="left">
                                <input type="hidden" class="@i" value="@item.Id" />
                                @Html.DisplayFor(modelItem => item.RollNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FirstName) &nbsp @Html.DisplayFor(modelItem => item.LastName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FatherName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                            </td>
                            <td align="left">
                                @{string admdate = string.Format("{0:dd MMM,yyyy}", item.Cdate);}
                                @admdate
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                @{if (utype == CommonUtil.UserTypeSuperAdmin)
                                  {
                                    @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaAdmission", new { id = item.Id }, new { @class = "delete-link" }, null)
                                  }
                                }
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                                @Html.ImageActionLink("../../Content/themes/base/images/Add.png", "Move To Course History", "CourseHistory", "MaAdmission", new { id = item.Id }, null, null)
                                @if (db.Tb_CourseHist.Where(z => z.AdmissionId == item.Id).Count() > 0)
                                {

                                    @Html.ImageActionLink("../../Content/themes/base/images/ledger.png", "Ledger", "GetLedger", "Tb_Ledger", new { accid = item.Id }, null, null)
                                    @Html.ImageActionLink("../../Content/themes/base/images/feedetail.jpg", "Fee Detail", "StudentFeeDetail", "Tbfeereceipt", new { admid = item.Id }, null, null)
                                }
                                @{
                                if (db.Tb_StudLeave.Where(z => z.AdmissionId == item.Id).Count() > 0)
                                {
                                    @Html.ImageActionLink("../../Content/themes/base/images/leave.png", "Leave Detail", "_StudentLeaveList", "TbStudLeave", new { id = item.Id }, new { @target = "_blank", @class = "editAcBtn" }, null)
                                }

                               
                               
                                }
                            </td>
                        </tr>
                    }
@Content.Script("ChildAddEdit.js", Url)
